## lisgd 0.3.4

=== Makefile ===
PREFIX = /usr
SRC = lisgd.c
OBJ = ${SRC:.c=.o}
LDFLAGS = -linput -lm -lwayland-client

X11INC = /usr/X11R6/include
X11LIB = /usr/X11R6/lib

all: options lisgd

options:
	@echo lisgd build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	${CC} -c ${CFLAGS} $<

${OBJ}: config.h

config.h:
	cp config.def.h $@

lisgd: ${OBJ}
	${CC} -g -o $@ ${OBJ} -I${X11INC} -lX11 ${LDFLAGS}

install: all
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f lisgd ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/lisgd

	mkdir -p ${DESTDIR}${PREFIX}/share/man/man1
	cp lisgd.1 ${DESTDIR}${PREFIX}/share/man/man1
	chmod 755 ${DESTDIR}${PREFIX}/share/man/man1


clean:
	rm -f config.h

=== debian/changelog ===
lisgd (0.3.4-1) unstable; urgency=medium

  * Initial release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Aug 2022 14:38:56 +0200

=== debian/control ===
Source: lisgd
Section: x11
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
 libx11-dev,
 libwayland-dev,
 libinput-dev,
Standards-Version: 4.6.1
Homepage: https://git.sr.ht/~mil/lisgd
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/lisgd
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/lisgd.git
Rules-Requires-Root: no

Package: lisgd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libinput synthetic gesture daemon
 Lisgd lets you bind gestures based on libinput touch events to run specific
 commands to execute. For example, dragging left to right with one finger could
 execute a particular command like launching a terminal. Directional L-R, R-L,
 U-D, and D-U gestures and diagnol LD-RU, RD-LU, UR-DL, UL-DR gestures are
 supported with 1 through n fingers.
 .
 Unlike other libinput gesture daemons, lisgd uses touch events to recognize
 synthetic swipe gestures rather than using the libinput's gesture events. The
 advantage of this is that the synthetic gestures you define via lisgd can be
 used on touchscreens, which normal libinput gestures don't support.

## lisgd 0.3.5

=== debian/changelog ===
lisgd (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5
  * Switch Maintainer to team

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 06 Sep 2022 18:28:30 +0200

## lisgd 0.3.6

=== debian/changelog ===
lisgd (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6
  * Rebase patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 18 Nov 2022 13:14:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: lisgd
 Section: x11
 Priority: optional
-Maintainer: Tzafrir Cohen <tzafrir@debian.org>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
+ Tzafrir Cohen <tzafrir@debian.org>,
  Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  libx11-dev,

## lisgd 0.3.7

=== Makefile ===
PREFIX = /usr
SRC = lisgd.c
OBJ = ${SRC:.c=.o}
LDFLAGS = -g
LIBS = -linput -lm

X11INC = /usr/X11R6/include
X11LIB = /usr/X11R6/lib

ifndef WITHOUT_X11
CPPFLAGS += -I${X11INC} -DWITH_X11
LIBS += -L${X11LIB} -lX11
endif

ifndef WITHOUT_WAYLAND
CPPFLAGS += -DWITH_WAYLAND
LIBS += -lwayland-client
endif

all: options lisgd

options:
	@echo lisgd build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "CPPFLAGS = ${CPPFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "LIBS     = ${LIBS}"
	@echo "CC       = ${CC}"

.c.o:
	${CC} -c ${CFLAGS} ${CPPFLAGS} $<

${OBJ}: config.h

config.h:
	cp config.def.h $@

lisgd: ${OBJ}
	${CC} -o $@ ${OBJ} ${LDFLAGS} ${LIBS}

install: all
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f lisgd ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/lisgd

	mkdir -p ${DESTDIR}${PREFIX}/share/man/man1
	cp lisgd.1 ${DESTDIR}${PREFIX}/share/man/man1
	chmod 755 ${DESTDIR}${PREFIX}/share/man/man1


clean:
	rm -f config.h lisgd.o lisgd

=== debian/changelog ===
lisgd (0.3.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Jochen Sprickerhof ]
  * New upstream version 0.3.7
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Jan 2023 07:15:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libx11-dev,
  libwayland-dev,
  libinput-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://git.sr.ht/~mil/lisgd
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/lisgd
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/lisgd.git

=== debian/watch ===
version=4
opts="mode=git" \
https://git.sr.ht/~mil/lisgd \
refs/tags/@ANY_VERSION@
